"use strict";
/*
 * Licensed to Elasticsearch B.V. under one or more contributor
 * license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright
 * ownership. Elasticsearch B.V. licenses this file to you under
 * the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const eui_1 = require("@elastic/eui");
const react_1 = __importDefault(require("react"));
class GlobalToastListw extends react_1.default.Component {
    constructor() {
        super(...arguments);
        this.state = {
            toasts: []
        };
    }
    componentDidMount() {
        this.subscription = this.props.toasts$.subscribe(toasts => {
            this.setState({ toasts });
        });
    }
    componentWillUnmount() {
        if (this.subscription) {
            this.subscription.unsubscribe();
        }
    }
    render() {
        const increaseTime = ((this.state || {}).toasts || []).some(item => item.color === 'danger');
        return (react_1.default.createElement(eui_1.EuiGlobalToastList, { toasts: this.state.toasts, dismissToast: this.props.dismissToast, toastLifeTimeMs: increaseTime ? 30000 : 6000 }));
    }
}
exports.GlobalToastListw = GlobalToastListw;
